Subject: bug#20062: [bug-diffutils] bug#20062: bug#20062: [PATCH] diff: add support for --color

From: Giuseppe Scrivano <[email-masked]>
Date: Thu, 12 Mar 2015 10:14:03 +0100

Hi Paul,

Paul Eggert <[email-masked]> writes:

> Also, I'm a bit dubious about all those calls to sigprocmask.  Can't
> we solve this without having to execute a sigmask-related system call
> for each buffer? How about using the method that 'ls' uses instead?
> Install a signal handler that merely sets a static variable.  Perhaps
> the relevant 'ls' code should be Gnulib-ized, so that it can be shared
> between 'ls' and 'diff'.

is it ok for now to keep these calls to sigprocmask and fix all the
other issues you reported (until the ls.c code is Gnulib-ized)?
They won't affect any existing use-case anyway as they will be used only
when --color is used on a tty.

Thanks for the detailed review.

Giuseppe